Run shellcheck

This commit is contained in:
Santiago Lo Coco 2022-02-08 01:01:42 -03:00
parent e79c5dbdf1
commit 785048856e
3 changed files with 13 additions and 11 deletions

View File

@ -128,7 +128,7 @@ runUserScripts() {
startRice() { startRice() {
msg="\nThis script will configure gitconfig, install the dotfiles" msg="\nThis script will configure gitconfig, install the dotfiles"
if [[ -n $userScriptsFlag && $userScriptsFlag = true ]]; then if [[ -n $userScriptsFlag && $userScriptsFlag = true ]]; then
msg="${msg}, and then run the scripts of the '$(basename $PWD)/scripts' folder" msg="${msg}, and then run the scripts of the '$(basename "$PWD")/scripts' folder"
fi fi
msg="${msg}. Would you like to continue?" msg="${msg}. Would you like to continue?"
displayDialogBox --title "sadedot" --yesno "$msg" || return displayDialogBox --title "sadedot" --yesno "$msg" || return
@ -145,7 +145,9 @@ runScript() {
sadedotFolder=$(pwd -P | awk '{ sub(/sadedot.*/, "sadedot"); print }') sadedotFolder=$(pwd -P | awk '{ sub(/sadedot.*/, "sadedot"); print }')
cd "$sadedotFolder" || { echo "Couldn't cd into '$sadedotFolder'." 1>&2 && exit 1; } cd "$sadedotFolder" || { echo "Couldn't cd into '$sadedotFolder'." 1>&2 && exit 1; }
[[ "$(basename $sadedotFolder)" != "sadedot" ]] && cd sadedot if [[ "$(basename "$sadedotFolder")" != "sadedot" ]]; then
cd sadedot || { echo "Couldn't cd into 'sadedot'." 1>&2 && exit 1; }
fi
source scripts/common.sh source scripts/common.sh
checkParameters "$@" checkParameters "$@"

View File

@ -77,7 +77,7 @@ useWhiptail() {
fi fi
width=$(calcWidthWhiptail "$str") width=$(calcWidthWhiptail "$str")
height=$(calcHeightWhiptail "$str") height=$(calcHeightWhiptail "$str")
[ $inputbox = true ] && [ $width -lt 30 ] && width=$((width+5)) [ $inputbox = true ] && [ "$width" -lt 30 ] && width=$((width+5))
[ $infobox = true ] && height=$((height-1)) [ $infobox = true ] && height=$((height-1))
formatOptions "$@" formatOptions "$@"
if [ "$found" = false ]; then if [ "$found" = false ]; then
@ -106,16 +106,16 @@ usePlainText() {
esac esac
done done
tput bold tput bold
printf "${2:2}\n" printf '%s\n' "${2:2}"
tput sgr0 tput sgr0
if [ $inputbox = true ]; then if [ $inputbox = true ]; then
printLine && printf "\n" printLine && printf "\n"
read -r readVar read -r readVar
printf "$readVar" 1>&2 printf '%s' "$readVar" 1>&2
elif [ $passwordbox = true ]; then elif [ $passwordbox = true ]; then
printLine && printf "\n" printLine && printf "\n"
read -r -s readVar read -r -s readVar
printf "$readVar" 1>&2 printf '%s' "$readVar" 1>&2
elif [ $yesno = true ]; then elif [ $yesno = true ]; then
printLine printLine
printf '\n%s' "[y/n] " printf '\n%s' "[y/n] "
@ -137,7 +137,7 @@ usePlainText() {
usePlainTextMenu() { usePlainTextMenu() {
clear clear
tput bold tput bold
shift; printf "${1:2}\n"; shift; shift shift; printf '%s\n' "${1:2}"; shift; shift
tput sgr0 tput sgr0
local i=1; for item in "$@"; do local i=1; for item in "$@"; do
echo "$item" | grep -qE '[0-9]+' && continue echo "$item" | grep -qE '[0-9]+' && continue
@ -154,7 +154,7 @@ usePlainTextMenu() {
read -n 1 -r -s readVar read -n 1 -r -s readVar
done done
printf "\n" printf "\n"
printf "$readVar" 1>&2 printf '%s' "$readVar" 1>&2
} }
getLastArgument() { getLastArgument() {
@ -190,8 +190,8 @@ useDialogMenu() {
} }
calcWidthWhiptail() { calcWidthWhiptail() {
width=$(echo "$1" | wc -c) width=${#1}
[ $width -gt 60 ] && echo 60 || echo $((width+2)) [ "$width" -gt 60 ] && echo 60 || echo $((width+2))
} }
calcWidthDialog() { calcWidthDialog() {

View File

@ -2,6 +2,6 @@
git submodule update --remote --merge git submodule update --remote --merge
gitStatus=$(git status --porcelain) gitStatus=$(git status --porcelain)
grep -q "sadedot" <(echo $gitStatus) || return grep -q "sadedot" <(echo "$gitStatus") || return
git commit -m "Update sadedot submodule" sadedot git commit -m "Update sadedot submodule" sadedot
git push git push